var idslct = charIDToTypeID( "slct" );
    var desc11 = new ActionDescriptor();
    var idnull = charIDToTypeID( "null" );
        var ref4 = new ActionReference();
        var idChnl = charIDToTypeID( "Chnl" );
        var idChnl = charIDToTypeID( "Chnl" );
        var idRGB = charIDToTypeID( "RGB " );
        ref4.putEnumerated( idChnl, idChnl, idRGB );
    desc11.putReference( idnull, ref4 );
    var idMkVs = charIDToTypeID( "MkVs" );
    desc11.putBoolean( idMkVs, false );
executeAction( idslct, desc11, DialogModes.NO );

// =======================================================
var idslct = charIDToTypeID( "slct" );
    var desc12 = new ActionDescriptor();
    var idnull = charIDToTypeID( "null" );
        var ref5 = new ActionReference();
        var ideyedropperTool = stringIDToTypeID( "eyedropperTool" );
        ref5.putClass( ideyedropperTool );
    desc12.putReference( idnull, ref5 );
    var iddontRecord = stringIDToTypeID( "dontRecord" );
    desc12.putBoolean( iddontRecord, true );
    var idforceNotify = stringIDToTypeID( "forceNotify" );
    desc12.putBoolean( idforceNotify, true );
executeAction( idslct, desc12, DialogModes.NO );

